#include "dllafx.h"                      
#include "maindlg.h"  
#include <windowsx.h>
#include <afxext.h>
#include "example.h"


extern "C"
int _export FAR PASCAL 
        exampl()
{             
   float eps1[7];
   MyABC kfx[8];
   MyABC kfy[8];
   
   int i; 
   CApset ap_set;
   ap_set.SetField(d_group,gr);
   TRY 
   {
   ap_set.GetGreaterEq();
   }
   CATCH (CBtrException,e)
   {
   char a[200];     
   e->GetErrorText((LPSTR)a);
   OutputDebugString(a);
   }
   END_CATCH  
   ap_set.DoFieldExchange();
   for(i=0;i<8;i++)
      {          
        kfx[i].A=ap_set.m_AX;                                      
        kfx[i].B=ap_set.m_BX;                                      
        kfx[i].C=ap_set.m_CX;                                      
        kfy[i].A=ap_set.m_AY;                                      
        kfy[i].B=ap_set.m_BY;                                      
        kfy[i].C=ap_set.m_CY;
        if(i<7)
         {
         eps1[i]=ap_set.m_eps;                                      
         TRY 
          {
           ap_set.GetNext();
          }
         CATCH (CBtrException,e)
          {
           char a[200];     
           e->GetErrorText((LPSTR)a);
           OutputDebugString(a);
          }
          END_CATCH  
          ap_set.DoFieldExchange();
         } 
       } 
}

